<template>
  <displacement-card
    :id="ride.id"
    :campus="ride.campus.id"
    :month="month"
    :day="day"
    :hour="hour"
    :departure="ride.departure.label"
    :arrival="ride.arrival.label"
    :cancelable="cancelable"
    @delete-displacement="emitDelete"
  >
    <template #title>
      <h2>Course sur {{ ride.campus.name }}</h2>
    </template>
    <template #default>
      <ul>
        <li>Passagers : <em>{{ ride.passengersCount }}</em></li>
        <li>Bagages : <em>{{ ride.luggage ? 'Oui' : 'Non' }}</em></li>
        <li v-if="translatedStatus">
          Statut :  <em>{{ translatedStatus }}</em>
        </li>
      </ul>
    </template>
  </displacement-card>
</template>

<script>
import displacementCard from '~/components/cards/displacement.vue';
import displacementCardMixin from '~/components/cards/mixins/displacement-cards';

export default {
  components: {
    displacementCard,
  },
  mixins: [displacementCardMixin('ride')],
  props: {
    ride: {
      type: Object,
      required: true,
    },
    cancelable: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    translatedStatus() {
      if (this.ride.status) {
        return this.translateStatus(this.ride.status);
      }

      return '';
    },
  },
  methods: {
    emitDelete(id) {
      this.$emit('delete-ride', id, 'ride');
    },
  },
};
</script>
